﻿@model RecuperatorioMVCCore.Models.IndexVM

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>
</head>
<body>
    <b>Miguel Angel Mutti.</b>
    @***************************
    * Escriba aquí el código que cumpla con los casos de uso.
    ***************************@
<div style="background-color:antiquewhite">
    @using (Html.BeginForm("InsertarNombre","Home"))
    {
        @Html.LabelFor(m => m.id) <span>:</span>
        @Html.DisplayFor(m => m.id)
        @Html.HiddenFor(m => m.id)
        <br />
        @Html.LabelFor(m => m.valor) <span>:</span>
        @Html.EditorFor(m => m.valor)
        @Html.ValidationMessageFor(m => m.valor)

        <br />
        <input type="submit"
               value="Insertar" />

        <br />
        @Html.ValidationSummary()

    }
</div>


@if (Model.cantNombres > 0)
{
    <div style="background-color:azure">
        <table>
            <tr>
                <td>
                    @Html.ActionLink("Eliminar a todos", "eliminarTodos")
                </td>
                <td>
                    @Html.ActionLink("Pasar a mayusculas", "pasarMayusculas")
                </td>
                <td>
                    @Html.ActionLink("Renumerar", "renumerarIds")
                </td>
                <td>
                    @Html.ActionLink("Permutar", "permutarNombres")
                </td>
                <td>
                    @Html.ActionLink("Cant. caracteres", "cantCaracteres")
                </td>

            </tr>
        </table>

        <table>
            <tr>
                <th>ID</th>
                <th>Valor</th>
                <th>Comando</th>
                <th>Comando</th>
            </tr>
            @foreach (var nombre in Model.nombres)
            {
                <tr>
                    <td>@nombre.Id</td>
                    <td>@nombre.Valor</td>
                    <td>@Html.ActionLink("Eliminar", "eliminarNombre", "Home", new { Id = nombre.Id })</td>
                    <td>@Html.ActionLink("Seleccionar", "seleccionarNombre", "Home", new { Id = nombre.Id })</td>
                </tr>
            }
        </table>

        <p>Total de nombres:  @Model.cantNombres</p>
    </div>
}
else
{
    <p style="color:red">
        No existen registros
    </p>
}
</body>
</html>